GuidesAPI ReferenceChangelog
Guides

How to get location details

This section provides an example of a request for full static and dynamic information about a specific location.

User story

Based on the results of a search for charging stations, the user wishes to retrieve the full/updated information about a single location only.

Request summary

ComponentDescription
Resourcepools/{id} – where id is an attribute of the evStation element with a unique value. Note that resource representation is specified via extensions .xml or .json. For more information, see EvStationsDetailsType.

Request example

The code block below demonstrates the complete request, specifying that the response data are to be delivered in JSON using a bearer token.

📘

Note

id values change without notice. If the id is no longer available in the resource, a 404 not found status message is returned.

GET 
https://ev-v2.cc.api.here.com/ev/pools/evcp0-ZGMyNzMzMWEtMmNjNC0xMWVlLWI5ZDktNDIwMTBhYTQwZmMw.json
Authorization: Bearer {YOUR_TOKEN}

The code block below demonstrates the complete request, specifying that the response data are to be delivered in JSON using an API Key.

GET
https://ev-v2.cc.api.here.com/ev/pools/evcp0-ZGMyNzMzMWEtMmNjNC0xMWVlLWI5ZDktNDIwMTBhYTQwZmMw.json?apiKey={YOUR_API_KEY};

Here is the same request indicating that the response data are to be delivered in XML using a bearer token.

GET 
https://ev-v2.cc.api.here.com/ev/pools/evcp0-ZGMyNzMzMWEtMmNjNC0xMWVlLWI5ZDktNDIwMTBhYTQwZmMw.xml
-H 'Authorization: Bearer {YOUR_TOKEN}'

Here is the same request indicating that the response data are to be delivered in XML using an API Key.

GET
https://ev-v2.cc.api.here.com/ev/pools/evcp0-ZGMyNzMzMWEtMmNjNC0xMWVlLWI5ZDktNDIwMTBhYTQwZmMw.xml?apiKey={YOUR_API_KEY};
            

Response example

The response to the request contains:

  • Information about the station
  • List of connectors at the station
  • Connector details information
  • Dynamic connector availability information
  • Roaming information. For details about roaming information, see Charge card (eMSP) acceptance

The response contains separate lastUpdateTimestamp values on different detail levels. The timestamps reflect updated times for:

  • evStation[].lastUpdateTimestamp, which indicates the most recent lastUpdateTimestamp among all connectors within the given station. This value reflects the most recent update time from any connector at the station level.
  • ..connector[].lastUpdateTimestamp, which indicates the most recent timestamp when dynamic connector availability was last updated among all the connectors in given group.
  • ..connector[].chargingPoint.lastUpdateTimestamp, which indicates the latest timestamp when dynamic connector availability was last updated among all the connectors in a given group.

An example response in JSON format is:

{
  "hasMore": false,
  "count": 1,
  "evStations": {
    "evStation": [
      {
        "id": "ZW06NDE4ZTUzYmZkMDQ5YWY1Yzc1MjQ0YmRkOWRkZWYyMjI",
        "lastUpdateTimestamp": "2024-02-19T17:54:37.000Z",
        "timeZone": "Europe/Helsinki",
        "address": {
          "state": "Pohjois-Suomi",
          "county": "Pohjois-Pohjanmaa",
          "city": "Oulu",
          "country": "FIN",
          "district": "Oulu",
          "street": "Kiilakivenkuja",
          "streetNumber": "2",
          "postalCode": "90250",
          "unparsedAddress": "Kiilakivenkuja 2",
          "sideOfStreet": "RIGHT"
        },
        "contacts": {
          "phone": [
            {
              "value": "+35820334455",
              "label": "PHONE"
            }
          ],
          "website": [
            {
              "value": "https://rechargeinfra.com",
              "label": "WEBSITE"
            }
          ]
        },
        "position": {
          "latitude": 64.985063,
          "longitude": 25.511302
        },
        "entrancePosition": {
          "latitude": 64.984878,
          "longitude": 25.51129
        },
        "name": "Recharge",
        "brand": "Recharge",
        "poolId": "246ued1sw0v2m-aGVyZS1ldjplY29tb3ZlbWVudDoxNTUyMzM5Nzc0",
        "cpoId": "0476045c-f356-11ed-a976-42010aa40fc0",
        "totalNumberOfConnectors": 4,
        "connectors": {
          "connector": [
            {
              "supplierName": "Recharge",
              "connectorType": {
                "name": "IEC 62196-3 type 2 combo (Mennekes)",
                "id": "34"
              },
              "chargeCapacity": "1000-1000VDC, at max 300A",
              "maxPowerLevel": 300,
              "customerChargeLevel": "4",
              "customerConnectorName": "AC/DC combo (Mennekes - type 2)",
              "fixedCable": true,
              "connectorDetails": {
                "reservable": true,
                "open24x7": true,
                "openingHours": {
                  "regularOpeningHours": [
                    {
                      "daymask": 127,
                      "period": [
                        {
                          "from": "00:00:00",
                          "to": "23:59:59"
                        }
                      ]
                    }
                  ]
                },
                "pay": true,
                "pricing": [
                  {
                    "pricingModel": "kWh",
                    "price": {
                      "value": 0.496,
                      "currency": "EUR"
                    },
                    "unit": {
                      "value": "kWh",
                      "amount": 1
                    }
                  }
                ]
              },
              "chargingPoint": {
                "chargeMode": "4",
                "voltsRange": "1000-1000V DC",
                "ampsRange": "300A",
                "numberOfConnectors": 4,
                "numberOfAvailable": 3,
                "numberOfInUse": 1,
                "lastUpdateTimestamp": "2024-02-27T07:43:29.000Z"
              },
              "lastUpdateTimestamp": "2024-02-19T08:44:20.000Z",
              "connectorStatuses": {
                "connectorStatus": [
                  {
                    "cpoEvseId": "6666",
                    "cpoEvseEMI3Id": "FI*CHA*EF933*A",
                    "physicalReference": "F933",
                    "cpoConnectorId": "6666",
                    "state": "AVAILABLE"
                  },
                  {
                    "cpoEvseId": "6667",
                    "cpoEvseEMI3Id": "FI*CHA*EF933*B",
                    "physicalReference": "F933",
                    "cpoConnectorId": "6667",
                    "state": "AVAILABLE"
                  },
                  {
                    "cpoEvseId": "7580",
                    "cpoEvseEMI3Id": "FI*CHA*EF968*A",
                    "physicalReference": "F968",
                    "cpoConnectorId": "7580",
                    "state": "AVAILABLE"
                  },
                  {
                    "cpoEvseId": "7581",
                    "cpoEvseEMI3Id": "FI*CHA*EF968*B",
                    "physicalReference": "F968",
                    "cpoConnectorId": "7581",
                    "state": "OCCUPIED"
                  }
                ]
              },
              "supplierUID": "1f7ef60a-cca5-11ed-8dd9-42010aa40002",
              "supplierEmaID": [
                "SE-REC"
              ]
            }
          ]
        },
        "evStationDetails": {
          "privateAccess": false,
          "restrictedAccess": false,
          "accessibilityType": "PUBLIC",
          "paymentMethods": {
            "other": {
              "accept": true,
              "types": {
                "type": [
                  "app",
                  "rfid-reader",
                  "terminal-qr-code",
                  "terminal-sms"
                ]
              }
            }
          }
        },
        "roaming": [
          {
            "emsp": "Plugsurfing",
            "partnerId": "1f351b84-cca5-11ed-8155-42010aa40002"
          },
          {
            "emsp": "Shell Recharge",
            "partnerId": "1f39ad02-cca5-11ed-9d1a-42010aa40002",
            "emaId": [
              "AT-SHE",
              "AT-TNM",
              "BE-SFS",
              "BE-SHL",
              "BE-TNM",
              "DK-TNM",
              "ES-TNM",
              "FR-TNM",
              "GB-TNM",
              "IE-TNM",
              "IT-TNM",
              "LU-SFS",
              "LU-SHL",
              "LU-TNM",
              "NL-SFS",
              "NL-SHL",
              "NL-TNM",
              "NO-TNM",
              "SE-TNM"
            ]
          },
          {
            "emsp": "Recharge",
            "partnerId": "1f7ef60a-cca5-11ed-8dd9-42010aa40002",
            "emaId": [
              "SE-REC"
            ]
          },
          {
            "emsp": "ChargePoint",
            "partnerId": "1f90fdf0-cca5-11ed-be23-42010aa40002",
            "emaId": [
              "AT-CPI",
              "BE-ALD",
              "BE-CPI",
              "DE-CPI",
              "ES-CPI",
              "FR-CPI",
              "GB-CPI",
              "IE-CPI",
              "IT-CPI",
              "LU-ALD",
              "NL-ALD",
              "NL-CPI",
              "SE-CPI"
            ]
          },
          {
            "emsp": "Freshmile",
            "partnerId": "21d6b686-cca5-11ed-83b8-42010aa40002"
          },
          {
            "emsp": "BMW",
            "partnerId": "21ef8850-cca5-11ed-9d2b-42010aa40002"
          },
          {
            "emsp": "Kia",
            "partnerId": "2421fb30-cca5-11ed-89c1-42010aa40002"
          },
          {
            "emsp": "Mobiliti",
            "partnerId": "27393dba-cca5-11ed-9b8b-42010aa40002"
          },
          {
            "emsp": "AUDI",
            "partnerId": "295adedc-cca5-11ed-8fa2-42010aa40002",
            "emaId": [
              "DE-AUC"
            ]
          },
          {
            "emsp": "Kople",
            "partnerId": "2b8fafe8-cca5-11ed-a62f-42010aa40002",
            "emaId": [
              "NO-KPL"
            ]
          },
          {
            "emsp": "Hyundai",
            "partnerId": "2d6754b0-cca5-11ed-ade1-42010aa40002"
          },
          {
            "emsp": "Jaguar Charging",
            "partnerId": "3379b852-cca5-11ed-8856-42010aa40002"
          },
          {
            "emsp": "Lotus",
            "partnerId": "79c4c474-19a2-11ee-880e-42010aa40002"
          },
          {
            "emsp": "Bosch",
            "partnerId": "268699a8-cca5-11ed-951e-42010aa40002",
            "emaId": [
              "DE-8RB"
            ]
          },
          {
            "emsp": "vinfast",
            "partnerId": "3a632824-cca5-11ed-8029-42010aa40002"
          }
        ]
      }
    ]
  }
}

For more details about responses to this type of request, see Stations Response.